<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.8" type="org.netbeans.modules.form.forminfo.JInternalFrameFormInfo">
  <Properties>
    <Property name="closable" type="boolean" value="true"/>
    <Property name="iconifiable" type="boolean" value="true"/>
    <Property name="maximizable" type="boolean" value="true"/>
    <Property name="resizable" type="boolean" value="true"/>
    <Property name="title" type="java.lang.String" value="Pembelian"/>
    <Property name="toolTipText" type="java.lang.String" value=""/>
  </Properties>
  <SyntheticProperties>
    <SyntheticProperty name="formSize" type="java.awt.Dimension" value="-84,-19,0,5,115,114,0,18,106,97,118,97,46,97,119,116,46,68,105,109,101,110,115,105,111,110,65,-114,-39,-41,-84,95,68,20,2,0,2,73,0,6,104,101,105,103,104,116,73,0,5,119,105,100,116,104,120,112,0,0,2,-115,0,0,3,99"/>
    <SyntheticProperty name="formPosition" type="java.awt.Point" value="-84,-19,0,5,115,114,0,14,106,97,118,97,46,97,119,116,46,80,111,105,110,116,-74,-60,-118,114,52,126,-56,38,2,0,2,73,0,1,120,73,0,1,121,120,112,0,0,0,0,0,0,0,0"/>
    <SyntheticProperty name="formSizePolicy" type="int" value="0"/>
    <SyntheticProperty name="generatePosition" type="boolean" value="true"/>
    <SyntheticProperty name="generateSize" type="boolean" value="true"/>
  </SyntheticProperties>
  <Events>
    <EventHandler event="internalFrameClosed" listener="javax.swing.event.InternalFrameListener" parameters="javax.swing.event.InternalFrameEvent" handler="formInternalFrameClosed"/>
    <EventHandler event="internalFrameDeactivated" listener="javax.swing.event.InternalFrameListener" parameters="javax.swing.event.InternalFrameEvent" handler="formInternalFrameDeactivated"/>
    <EventHandler event="internalFrameOpened" listener="javax.swing.event.InternalFrameListener" parameters="javax.swing.event.InternalFrameEvent" handler="formInternalFrameOpened"/>
  </Events>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <Component id="panelHeader1" max="32767" attributes="0"/>
              <EmptySpace min="5" pref="5" max="-2" attributes="0"/>
          </Group>
          <Group type="102" attributes="0">
              <EmptySpace min="-2" pref="10" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="jPanel1" max="32767" attributes="0"/>
                  <Component id="jScrollPane1" max="32767" attributes="0"/>
                  <Group type="102" attributes="0">
                      <Component id="jLabel4" max="32767" attributes="0"/>
                      <EmptySpace min="-2" pref="4" max="-2" attributes="0"/>
                      <Component id="jPanel2" max="32767" attributes="0"/>
                      <EmptySpace min="-2" pref="11" max="-2" attributes="0"/>
                  </Group>
                  <Component id="jPanel3" max="32767" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="14" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" attributes="0">
              <Component id="panelHeader1" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="3" max="-2" attributes="0"/>
              <Component id="jPanel1" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Component id="jScrollPane1" pref="237" max="32767" attributes="0"/>
              <EmptySpace min="-2" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="jLabel4" min="-2" pref="90" max="-2" attributes="0"/>
                  <Component id="jPanel2" min="-2" pref="90" max="-2" attributes="0"/>
              </Group>
              <EmptySpace min="-2" pref="6" max="-2" attributes="0"/>
              <Component id="jPanel3" min="-2" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Container class="javax.swing.JPanel" name="jPanel1">
      <Properties>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
            <EtchetBorder/>
          </Border>
        </Property>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="8" pref="8" max="-2" attributes="0"/>
                  <Component id="jLabel3" min="-2" pref="90" max="-2" attributes="0"/>
                  <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  <Component id="txtNoInvoice" min="-2" pref="170" max="-2" attributes="0"/>
                  <EmptySpace min="20" pref="20" max="-2" attributes="0"/>
                  <Component id="jLabel1" min="-2" pref="74" max="-2" attributes="0"/>
                  <EmptySpace min="6" pref="6" max="-2" attributes="0"/>
                  <Component id="jXDatePicker1" min="-2" max="-2" attributes="0"/>
                  <EmptySpace min="42" pref="42" max="-2" attributes="0"/>
                  <Component id="jLabel8" min="-2" pref="60" max="-2" attributes="0"/>
                  <EmptySpace min="14" pref="14" max="-2" attributes="0"/>
                  <Component id="cmbGudang" min="-2" pref="183" max="-2" attributes="0"/>
              </Group>
              <Group type="102" attributes="0">
                  <EmptySpace min="8" pref="8" max="-2" attributes="0"/>
                  <Component id="jLabel2" min="-2" pref="90" max="-2" attributes="0"/>
                  <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  <Component id="txtSupplier" min="-2" pref="60" max="-2" attributes="0"/>
                  <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  <Component id="lblSupplier" min="-2" pref="380" max="-2" attributes="0"/>
                  <EmptySpace min="60" pref="60" max="-2" attributes="0"/>
                  <Component id="jLabel18" min="-2" pref="70" max="-2" attributes="0"/>
                  <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  <Component id="txtNoPo" min="-2" pref="150" max="-2" attributes="0"/>
              </Group>
              <Group type="102" attributes="0">
                  <EmptySpace min="98" pref="98" max="-2" attributes="0"/>
                  <Component id="lblAlamatSup" min="-2" pref="440" max="-2" attributes="0"/>
                  <EmptySpace min="60" pref="60" max="-2" attributes="0"/>
                  <Component id="jLabel17" min="-2" pref="70" max="-2" attributes="0"/>
                  <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  <Component id="lblTglPO" min="-2" pref="150" max="-2" attributes="0"/>
              </Group>
              <Group type="102" attributes="0">
                  <EmptySpace min="8" pref="8" max="-2" attributes="0"/>
                  <Component id="jLabel10" min="-2" pref="90" max="-2" attributes="0"/>
                  <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  <Component id="txtTOP" min="-2" pref="50" max="-2" attributes="0"/>
                  <EmptySpace min="0" pref="0" max="-2" attributes="0"/>
                  <Component id="jLabel12" min="-2" pref="40" max="-2" attributes="0"/>
                  <EmptySpace min="30" pref="30" max="-2" attributes="0"/>
                  <Component id="jLabel11" min="-2" pref="90" max="-2" attributes="0"/>
                  <EmptySpace min="10" pref="10" max="-2" attributes="0"/>
                  <Component id="lblJtTempo" min="-2" pref="120" max="-2" attributes="0"/>
              </Group>
              <Group type="102" attributes="0">
                  <EmptySpace min="-2" pref="8" max="-2" attributes="0"/>
                  <Component id="jLabel5" min="-2" pref="90" max="-2" attributes="0"/>
                  <EmptySpace min="-2" pref="0" max="-2" attributes="0"/>
                  <Component id="jScrollPane2" pref="720" max="32767" attributes="0"/>
                  <EmptySpace min="5" pref="5" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="8" pref="8" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel3" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="txtNoInvoice" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="jLabel1" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="jXDatePicker1" min="-2" max="-2" attributes="0"/>
                      <Component id="jLabel8" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="cmbGudang" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="1" pref="1" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel2" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="txtSupplier" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="lblSupplier" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="jLabel18" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="txtNoPo" min="-2" pref="20" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="5" pref="5" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="lblAlamatSup" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="jLabel17" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="lblTglPO" min="-2" pref="20" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="5" pref="5" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel10" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="txtTOP" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="jLabel12" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="jLabel11" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="lblJtTempo" min="-2" pref="20" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="5" pref="5" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel5" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="jScrollPane2" min="-2" pref="60" max="-2" attributes="0"/>
                  </Group>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="jLabel1">
          <Properties>
            <Property name="text" type="java.lang.String" value="Tanggal :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel2">
          <Properties>
            <Property name="text" type="java.lang.String" value="Supplier :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel3">
          <Properties>
            <Property name="text" type="java.lang.String" value="No. Bukti"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="txtNoInvoice">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="txtNoInvoiceActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="lblSupplier">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="txtSupplier">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="keyReleased" listener="java.awt.event.KeyListener" parameters="java.awt.event.KeyEvent" handler="txtSupplierKeyReleased"/>
          </Events>
        </Component>
        <Component class="org.jdesktop.swingx.JXDatePicker" name="jXDatePicker1">
        </Component>
        <Component class="javax.swing.JLabel" name="lblAlamatSup">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="lblJtTempo">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel10">
          <Properties>
            <Property name="text" type="java.lang.String" value="Termin bayar :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="txtTOP">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel11">
          <Properties>
            <Property name="text" type="java.lang.String" value="Jatuh Tempo :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel12">
          <Properties>
            <Property name="text" type="java.lang.String" value=" Hari"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel8">
          <Properties>
            <Property name="text" type="java.lang.String" value="Gudang"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JComboBox" name="cmbGudang">
          <Properties>
            <Property name="model" type="javax.swing.ComboBoxModel" editor="org.netbeans.modules.form.editors2.ComboBoxModelEditor">
              <StringArray count="2">
                <StringItem index="0" value="TUNAI"/>
                <StringItem index="1" value="KREDIT"/>
              </StringArray>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel5">
          <Properties>
            <Property name="text" type="java.lang.String" value="Keterangan :"/>
          </Properties>
        </Component>
        <Container class="javax.swing.JScrollPane" name="jScrollPane2">
          <AuxValues>
            <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
          </AuxValues>

          <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
          <SubComponents>
            <Component class="javax.swing.JTextArea" name="txtKeterangan">
              <Properties>
                <Property name="columns" type="int" value="20"/>
                <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
                  <Font name="Tahoma" size="11" style="0"/>
                </Property>
                <Property name="rows" type="int" value="5"/>
              </Properties>
            </Component>
          </SubComponents>
        </Container>
        <Component class="javax.swing.JLabel" name="jLabel17">
          <Properties>
            <Property name="text" type="java.lang.String" value="Tgl. PO"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="txtNoPo">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="keyReleased" listener="java.awt.event.KeyListener" parameters="java.awt.event.KeyEvent" handler="txtNoPoKeyReleased"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel18">
          <Properties>
            <Property name="text" type="java.lang.String" value="No. PO :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="lblTglPO">
          <Properties>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="tblDetail">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
              <Table columnCount="14" rowCount="0">
                <Column editable="false" title="No" type="java.lang.Integer"/>
                <Column editable="false" title="Kode" type="java.lang.Object"/>
                <Column editable="false" title="Nama Barang" type="java.lang.Object"/>
                <Column editable="true" title="Qty" type="java.lang.Double"/>
                <Column editable="false" title="Satuan" type="java.lang.String"/>
                <Column editable="true" title="Harga" type="java.lang.Double"/>
                <Column editable="true" title="Disc" type="java.lang.Object"/>
                <Column editable="true" title="PPn" type="java.lang.Double"/>
                <Column editable="true" title="Biaya" type="java.lang.Double"/>
                <Column editable="false" title="Sub Total" type="java.lang.Double"/>
                <Column editable="false" title="Hpp Terakhir" type="java.lang.Double"/>
                <Column editable="true" title="Keterangan" type="java.lang.String"/>
                <Column editable="false" title="ProductID" type="java.lang.Object"/>
                <Column editable="false" title="ID" type="java.lang.Object"/>
              </Table>
            </Property>
            <Property name="autoResizeMode" type="int" value="0"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Container class="javax.swing.JPanel" name="jPanel2">
      <Properties>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
            <EtchetBorder/>
          </Border>
        </Property>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="-2" pref="66" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel15" alignment="0" min="-2" pref="120" max="-2" attributes="0"/>
                      <Component id="jLabel14" alignment="0" min="-2" pref="90" max="-2" attributes="0"/>
                      <Component id="jLabel7" alignment="0" min="-2" pref="90" max="-2" attributes="0"/>
                      <Component id="jLabel13" alignment="0" min="-2" pref="90" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace min="-2" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Group type="103" alignment="1" groupAlignment="0" attributes="0">
                          <Component id="lblSubTotal" min="-2" pref="150" max="-2" attributes="0"/>
                          <Component id="txtDisc" min="-2" pref="150" max="-2" attributes="0"/>
                          <Component id="txtBiayaLain" min="-2" pref="150" max="-2" attributes="0"/>
                      </Group>
                      <Component id="lblGrandTotal" alignment="0" min="-2" pref="150" max="-2" attributes="0"/>
                  </Group>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="3" pref="3" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel13" linkSize="1" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="lblSubTotal" min="-2" pref="20" max="-2" attributes="0"/>
                  </Group>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel7" linkSize="1" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="txtDisc" min="-2" pref="20" max="-2" attributes="0"/>
                  </Group>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel14" linkSize="1" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="txtBiayaLain" min="-2" pref="20" max="-2" attributes="0"/>
                  </Group>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="jLabel15" linkSize="1" min="-2" pref="20" max="-2" attributes="0"/>
                      <Component id="lblGrandTotal" min="-2" pref="20" max="-2" attributes="0"/>
                  </Group>
                  <EmptySpace max="32767" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="lblSubTotal">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="txtDisc">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="keyTyped" listener="java.awt.event.KeyListener" parameters="java.awt.event.KeyEvent" handler="txtDiscKeyTyped"/>
          </Events>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel7">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Disc :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel13">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Sub Total :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel14">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Biaya Lain :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JTextField" name="txtBiayaLain">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="jLabel15">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="text" type="java.lang.String" value="GRAND TOTAL :"/>
          </Properties>
        </Component>
        <Component class="javax.swing.JLabel" name="lblGrandTotal">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="11" style="1"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
              <Border info="org.netbeans.modules.form.compat2.border.LineBorderInfo">
                <LineBorder/>
              </Border>
            </Property>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JLabel" name="jLabel4">
      <Properties>
        <Property name="background" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="ff" green="ff" red="cc" type="rgb"/>
        </Property>
        <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
          <Color blue="99" green="0" red="0" type="rgb"/>
        </Property>
        <Property name="text" type="java.lang.String" value="&lt;html&gt;&#xa; &amp;nbsp &lt;b&gt;F4 &amp;nbsp &amp;nbsp &amp;nbsp &amp;nbsp : &lt;/b&gt; &amp;nbsp Membuat Transaksi baru &lt;br&gt; &#xa; &amp;nbsp &lt;b&gt;F5 &amp;nbsp &amp;nbsp &amp;nbsp &amp;nbsp : &lt;/b&gt; &amp;nbsp Menyimpan Transaksi &lt;br&gt;&#xa; &amp;nbsp &lt;b&gt;Del &amp;nbsp &amp;nbsp &amp;nbsp : &lt;/b&gt; &amp;nbsp  Menghapus item pembelian  &amp;nbsp  &amp;nbsp &lt;br&gt;&#xa; &amp;nbsp &lt;b&gt;Insert : &lt;/b&gt; &amp;nbsp Menambah ItemTransaski&lt;br&gt;&#xa;&lt;hr&gt;&#xa;&lt;/html&gt;" noResource="true"/>
        <Property name="verticalAlignment" type="int" value="1"/>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
            <EtchetBorder/>
          </Border>
        </Property>
        <Property name="horizontalTextPosition" type="int" value="0"/>
        <Property name="opaque" type="boolean" value="true"/>
        <Property name="verticalTextPosition" type="int" value="1"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JPanel" name="jPanel3">
      <Properties>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.EtchedBorderInfo">
            <EtchetBorder/>
          </Border>
        </Property>
      </Properties>

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="-2" pref="11" max="-2" attributes="0"/>
                  <Component id="btnClear" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="btnPrint" min="-2" pref="110" max="-2" attributes="0"/>
                  <EmptySpace max="32767" attributes="0"/>
                  <Component id="btnSave" min="-2" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
                  <Component id="btnClose" min="-2" pref="90" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" attributes="0">
                  <EmptySpace min="1" pref="1" max="-2" attributes="0"/>
                  <Group type="103" groupAlignment="0" attributes="0">
                      <Component id="btnClear" min="-2" pref="30" max="-2" attributes="0"/>
                      <Component id="btnPrint" min="-2" pref="30" max="-2" attributes="0"/>
                      <Component id="btnSave" min="-2" pref="30" max="-2" attributes="0"/>
                      <Component id="btnClose" min="-2" pref="30" max="-2" attributes="0"/>
                  </Group>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JButton" name="btnClose">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/resources/images/cancel.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Tutup"/>
            <Property name="margin" type="java.awt.Insets" editor="org.netbeans.beaninfo.editors.InsetsEditor">
              <Insets value="[2, 2, 2, 2]"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnCloseActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnSave">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/resources/images/disk.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Simpan (F5)"/>
            <Property name="margin" type="java.awt.Insets" editor="org.netbeans.beaninfo.editors.InsetsEditor">
              <Insets value="[2, 2, 2, 2]"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnSaveActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnClear">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/resources/images/doc_text_image.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Bersihkan (F4)"/>
            <Property name="margin" type="java.awt.Insets" editor="org.netbeans.beaninfo.editors.InsetsEditor">
              <Insets value="[2, 2, 2, 2]"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnClearActionPerformed"/>
          </Events>
        </Component>
        <Component class="javax.swing.JButton" name="btnPrint">
          <Properties>
            <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
              <Image iconType="3" name="/resources/images/printer.png"/>
            </Property>
            <Property name="text" type="java.lang.String" value="Print"/>
            <Property name="enabled" type="boolean" value="false"/>
            <Property name="margin" type="java.awt.Insets" editor="org.netbeans.beaninfo.editors.InsetsEditor">
              <Insets value="[2, 2, 2, 2]"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnPrintActionPerformed"/>
          </Events>
        </Component>
      </SubComponents>
    </Container>
    <Container class="com.ustasoft.component.panelHeader" name="panelHeader1">

      <Layout>
        <DimensionLayout dim="0">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace max="32767" attributes="0"/>
                  <Component id="jLabel6" min="-2" pref="647" max="-2" attributes="0"/>
                  <EmptySpace max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
        <DimensionLayout dim="1">
          <Group type="103" groupAlignment="0" attributes="0">
              <Group type="102" alignment="1" attributes="0">
                  <EmptySpace min="0" pref="21" max="32767" attributes="0"/>
                  <Component id="jLabel6" min="-2" pref="39" max="-2" attributes="0"/>
              </Group>
          </Group>
        </DimensionLayout>
      </Layout>
      <SubComponents>
        <Component class="javax.swing.JLabel" name="jLabel6">
          <Properties>
            <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
              <Font name="Tahoma" size="34" style="1"/>
            </Property>
            <Property name="foreground" type="java.awt.Color" editor="org.netbeans.beaninfo.editors.ColorEditor">
              <Color blue="0" green="0" red="cc" type="rgb"/>
            </Property>
            <Property name="horizontalAlignment" type="int" value="4"/>
            <Property name="text" type="java.lang.String" value="Pembelian"/>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
  </SubComponents>
</Form>
